.final-order {
    padding: rem(24);
    overflow: hidden;
    position: relative;
    border-radius: rem(12);
    background-color: #222;
    display: grid;
    grid-row-gap: rem(24);
    grid-template-columns: 1fr;

    &__group {
        z-index: 20;
        position: relative;
    }

    &__title {
        font-weight: 500;
        font-size: rem(32);
        line-height: rem(32);
        margin-bottom: rem(16);
        text-transform: uppercase;
    }

    &__subtitle {
        font-size: rem(14);
        line-height: rem(19);
    }

    &__content {
        font-size: rem(12);
        line-height: rem(20);
        margin-bottom: rem(24);
    }

    &__row {
        padding: rem(8) 0;
        display: flex;
        flex-wrap: wrap;
        row-gap: rem(8);
        align-items: center;
        justify-content: space-between;

        &:not(:last-child) {
            border-bottom: 1px solid rgba(255, 255, 255, 0.2);
        }

        &:first-child {
            padding-top: 0;
        }

        &:last-child {
            padding-bottom: 0;
        }
    }

    &__value {
        width: 100%;
        opacity: .6;
    }

    &__price {
        white-space: nowrap;
        font-weight: 600;
    }

    &__checkout {
        display: flex;
        row-gap: rem(16);
        column-gap: rem(24);
        flex-direction: column;
    }

    &__text {
        font-size: rem(14);
        line-height: rem(18);
        margin-bottom: rem(2);
    }

    &__cost {
        font-weight: 500;
        font-size: rem(32);
        line-height: rem(32);
        white-space: nowrap;
    }

    &__notice {
        font-size: rem(12);
        line-height: rem(18);
        margin-top: rem(12);
    }

    &__media {
        display: none;
    }

    @include media-breakpoint-up(md) {
        padding: rem(32);
        grid-row-gap: rem(32);

        &__title {
            font-size: rem(36);
            line-height: rem(36);
            margin-bottom: rem(20);

            br {
                display: none;
            }
        }

        &__subtitle {
            font-size: rem(16);
            line-height: rem(22);
        }

        &__row {
            flex-wrap: nowrap;
        }

        &__label {
            order: 1;
            width: rem(250);
            flex-shrink: 0;
        }

        &__value {
            width: auto;
            flex-grow: 1;
            order: 2;
        }

        &__price {
            order: 3;
        }

        &__checkout {
            align-items: center;
            flex-direction: row;
        }

        &__cost {
            font-size: rem(36);
            line-height: rem(36);
        }

        &__notice {
            font-size: rem(14);
            line-height: rem(19);

            br {
                display: none;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        padding: rem(48);
        min-height: rem(576);
        grid-column-gap: rem(30);
        grid-template-columns: 1fr 1fr;

        &__title {

            br {
                display: block;
            }
        }

        &__media {
            z-index: 1;
            display: block;
            position: absolute;

            &--cake {
                width: 514px;
                left: 28px;
                bottom: 0;
            }

            &--other {
                left: 0;
                bottom: 0;
                width: 743px;
            }
        }

        &__content {
            margin-bottom: rem(32);
        }

        &__label {
            width: rem(200);
        }
    }
}
